Generation Framework

## org.eclipse.gmf.gmfgraph
Interface AbstractFigure

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Figure, Layoutable, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ConnectionFigure, CustomConnection, CustomDecoration, CustomFigure, DecorationFigure, Ellipse, FigureRef, Label, LabeledContainer, Polygon, PolygonDecoration, Polyline, PolylineConnection, PolylineDecoration, RealFigure, Rectangle, RoundedRectangle, ScalablePolygon, Shape

All Known Implementing Classes:
  AbstractFigureImpl, CustomConnectionImpl, CustomDecorationImpl, CustomFigureImpl, EllipseImpl, FigureRefImpl, LabeledContainerImpl, LabelImpl, PolygonDecorationImpl, PolygonImpl, PolylineConnectionImpl, PolylineDecorationImpl, PolylineImpl, RealFigureImpl, RectangleImpl, RoundedRectangleImpl, ScalablePolygonImpl, ShapeImpl

    public interface AbstractFigure

extends Figure

A representation of the model object 'Abstract Figure'. This is merely an implementation artifact to get only one base implementation of Figure attributes

See Also:
  `GMFGraphPackage.getAbstractFigure()`
** Generated **
Model:
  abstract="true"

Method Summary

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.